This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 737201 - Provide native systemd service files
Provide native systemd service files
Status: NEW
Product: Fedora
Classification: Fedora
Component: vnc-ltsp-config (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks: SysVtoSystemd
  Show dependency treegraph
 
Reported: 2011-09-09 17:49 EDT by Jóhann B. Guðmundsson
Modified: 2015-02-18 10:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:37:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
vnc-640x480x8.socket (137 bytes, text/plain)
2011-09-09 17:51 EDT, Jóhann B. Guðmundsson
no flags Details
vnc-640x480x8@.service (179 bytes, text/plain)
2011-09-09 17:52 EDT, Jóhann B. Guðmundsson
no flags Details
vnc-640x480x16.socket (142 bytes, text/plain)
2011-09-09 17:52 EDT, Jóhann B. Guðmundsson
no flags Details
vnc-640x480x16@.service (185 bytes, text/plain)
2011-09-09 17:53 EDT, Jóhann B. Guðmundsson
no flags Details
vnc-800x600x8.socket (137 bytes, text/plain)
2011-09-09 17:54 EDT, Jóhann B. Guðmundsson
no flags Details
vnc-800x600x8@.service (179 bytes, text/plain)
2011-09-09 17:54 EDT, Jóhann B. Guðmundsson
no flags Details
vnc-800x600x16.socket (138 bytes, text/plain)
2011-09-09 17:55 EDT, Jóhann B. Guðmundsson
no flags Details
vnc-800x600x16@.service (181 bytes, text/plain)
2011-09-09 17:56 EDT, Jóhann B. Guðmundsson
no flags Details
vnc-1024x768x8.socket (138 bytes, text/plain)
2011-09-09 17:57 EDT, Jóhann B. Guðmundsson
no flags Details
vnc-1024x768x8@.service (185 bytes, text/plain)
2011-09-09 17:57 EDT, Jóhann B. Guðmundsson
no flags Details
vnc-1024x768x16.socket (139 bytes, text/plain)
2011-09-09 17:58 EDT, Jóhann B. Guðmundsson
no flags Details
vnc-1024x768x16@.service (183 bytes, text/plain)
2011-09-09 17:59 EDT, Jóhann B. Guðmundsson
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2011-09-09 17:49:51 EDT
Description of problem:

Let's get the ball rolling on this one...

http://fedoraproject.org/wiki/Features/SysVtoSystemd

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2011-09-09 17:51:29 EDT
Created attachment 522415 [details]
vnc-640x480x8.socket
Comment 2 Jóhann B. Guðmundsson 2011-09-09 17:52:10 EDT
Created attachment 522416 [details]
vnc-640x480x8@.service
Comment 3 Jóhann B. Guðmundsson 2011-09-09 17:52:51 EDT
Created attachment 522417 [details]
vnc-640x480x16.socket
Comment 4 Jóhann B. Guðmundsson 2011-09-09 17:53:29 EDT
Created attachment 522418 [details]
vnc-640x480x16@.service
Comment 5 Jóhann B. Guðmundsson 2011-09-09 17:54:07 EDT
Created attachment 522419 [details]
vnc-800x600x8.socket
Comment 6 Jóhann B. Guðmundsson 2011-09-09 17:54:53 EDT
Created attachment 522420 [details]
vnc-800x600x8@.service
Comment 7 Jóhann B. Guðmundsson 2011-09-09 17:55:42 EDT
Created attachment 522421 [details]
vnc-800x600x16.socket
Comment 8 Jóhann B. Guðmundsson 2011-09-09 17:56:24 EDT
Created attachment 522422 [details]
vnc-800x600x16@.service
Comment 9 Jóhann B. Guðmundsson 2011-09-09 17:57:08 EDT
Created attachment 522423 [details]
vnc-1024x768x8.socket
Comment 10 Jóhann B. Guðmundsson 2011-09-09 17:57:54 EDT
Created attachment 522424 [details]
vnc-1024x768x8@.service
Comment 11 Jóhann B. Guðmundsson 2011-09-09 17:58:40 EDT
Created attachment 522425 [details]
vnc-1024x768x16.socket
Comment 12 Jóhann B. Guðmundsson 2011-09-09 17:59:22 EDT
Created attachment 522426 [details]
vnc-1024x768x16@.service
Comment 13 Jóhann B. Guðmundsson 2011-09-09 18:01:00 EDT
Passes simple telnet test...

[root@localhost system]# systemctl start vnc-1024x768x16.socket
[root@localhost system]# systemctl status vnc-1024x768x16.socket
vnc-1024x768x16.socket - Vnc Remote Activation Socket ( 1024x768x16 )
	  Loaded: loaded (/lib/systemd/system/vnc-1024x768x16.socket; disabled)
	  Active: active (listening) since Fri, 09 Sep 2011 21:46:05 +0000; 1min 4s ago
	Accepted: 1; Connected: 0
	  CGroup: name=systemd:/system/vnc-1024x768x16.socket
[root@localhost system]# telnet localhost 5900
Trying ::1...
Connected to localhost.
Escape character is '^]'.
RFB 003.008
Connection closed by foreign host.


And note there is still a (tight) window to have this in F16
Comment 14 Jóhann B. Guðmundsson 2011-09-12 19:46:44 EDT
Once package and shipped your package should no longer have to depend on xinetd

https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd
Comment 15 Fedora End Of Life 2013-04-03 13:13:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 16 Jóhann B. Guðmundsson 2014-05-26 05:47:43 EDT
Given that I have left the project and a new individual may or may not continue with systemd integration in the project by submitting new feature following whatever demands FPC and FESCo might have and thus new units in the process I'm closing this and all remaining bugs I had submitted for this particular feature as WONTFIX
Comment 17 Rex Dieter 2014-05-26 07:36:26 EDT
I'd like to keep this open.  Now that I understand systemd a little better and have time, would like to integration this sooner or later (preferably sooner).
Comment 18 Fedora End Of Life 2015-01-09 16:52:47 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2015-02-18 08:37:31 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 20 Rex Dieter 2015-02-18 10:18:15 EST
marking futurefeature, so it avoids autoclose

Note You need to log in before you can comment on or make changes to this bug.